<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="Xtpzyh">
	<!-- <typeAlias alias="Xtpzyhbean" type="com.vp.XXX.model.XtpzyhBean"/> -->

	<sql id="condition_Xtpzyh">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKEyhbh'>
			(yhbh like
			concat('%',#LIKEyhbh# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhbh'>
			(yhbh = #yhbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhzh'>
			(yhzh like
			concat('%',#LIKEyhzh# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhzh'>
			(yhzh = #yhzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhmm'>
			(yhmm like
			concat('%',#LIKEyhmm# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhmm'>
			(yhmm = #yhmm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhmc'>
			(yhmc like
			concat('%',#LIKEyhmc# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhmc'>
			(yhmc = #yhmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsfgly'>
			(sfgly like
			concat('%',#LIKEsfgly# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sfgly'>
			(sfgly = #sfgly# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEqybh'>
			(qybh like
			concat('%',#LIKEqybh# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='qybh'>
			(qybh = #qybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbmmc'>
			(bmmc like
			concat('%',#LIKEbmmc# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bmmc'>
			(bmmc = #bmmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgddh'>
			(gddh like
			concat('%',#LIKEgddh# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gddh'>
			(gddh = #gddh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsj'>
			(sj like
			concat('%',#LIKEsj# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sj'>
			(sj = #sj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdh'>
			(dh like
			concat('%',#LIKEdh# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dh'>
			(dh = #dh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyjdz'>
			(yjdz like
			concat('%',#LIKEyjdz# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yjdz'>
			(yjdz = #yjdz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdz'>
			(dz like
			concat('%',#LIKEdz# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dz'>
			(dz = #dz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEms'>
			(ms like
			concat('%',#LIKEms# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ms'>
			(ms = #ms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhzt'>
			(yhzt like
			concat('%',#LIKEyhzt# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhzt'>
			(yhzt = #yhzt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzhycdlsj'>
			(zhycdlsj like
			concat('%',#LIKEzhycdlsj# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zhycdlsj'>
			(zhycdlsj = #zhycdlsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like
			concat('%',#LIKEcjry# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like
			concat('%',#LIKEcjrq# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like
			concat('%',#LIKExgry# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like
			concat('%',#LIKExgrq# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like
			concat('%',#LIKEbz# ,'%') )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>

	<!-- ???? -->
	<insert id="insert_Xtpzyh" parameterClass="java.util.Map">
		insert into
		Xtpzyh(
		<dynamic prepend=" ">
			<isNotEmpty prepend=',' property='yhbh'>yhbh</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzh'>yhzh</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmm'>yhmm</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmc'>yhmc</isNotEmpty>
			<isNotEmpty prepend=',' property='sfgly'>sfgly</isNotEmpty>
			<isNotEmpty prepend=',' property='qybh'>qybh</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>bmmc</isNotEmpty>
			<isNotEmpty prepend=',' property='gddh'>gddh</isNotEmpty>
			<isNotEmpty prepend=',' property='sj'>sj</isNotEmpty>
			<isNotEmpty prepend=',' property='dh'>dh</isNotEmpty>
			<isNotEmpty prepend=',' property='yjdz'>yjdz</isNotEmpty>
			<isNotEmpty prepend=',' property='dz'>dz</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>ms</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzt'>yhzt</isNotEmpty>
			<isNotEmpty prepend=',' property='zhycdlsj'>zhycdlsj</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>
		<dynamic prepend=" ">
			<isNotEmpty prepend=',' property='yhbh'>#yhbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzh'>#yhzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmm'>#yhmm#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmc'>#yhmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfgly'>#sfgly#</isNotEmpty>
			<isNotEmpty prepend=',' property='qybh'>#qybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>#bmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='gddh'>#gddh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sj'>#sj#</isNotEmpty>
			<isNotEmpty prepend=',' property='dh'>#dh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yjdz'>#yjdz#</isNotEmpty>
			<isNotEmpty prepend=',' property='dz'>#dz#</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>#ms#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzt'>#yhzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='zhycdlsj'>#zhycdlsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]>
	</insert>

	<!-- ??? -->
	<update id="update_Xtpzyh" parameterClass="java.util.Map">
		update Xtpzyh
		<dynamic prepend="set ">
			<isNotEmpty prepend=',' property='yhzh'>yhzh=#yhzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmm'>yhmm=#yhmm#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmc'>yhmc=#yhmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfgly'>sfgly=#sfgly#</isNotEmpty>
			<isNotEmpty prepend=',' property='qybh'>qybh=#qybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>bmmc=#bmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='gddh'>gddh=#gddh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sj'>sj=#sj#</isNotEmpty>
			<isNotEmpty prepend=',' property='dh'>dh=#dh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yjdz'>yjdz=#yjdz#</isNotEmpty>
			<isNotEmpty prepend=',' property='dz'>dz=#dz#</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>ms=#ms#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzt'>yhzt=#yhzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='zhycdlsj'>zhycdlsj=#zhycdlsj#
			</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>

		</dynamic>
		where 1=1 and yhbh= #yhbh# 

	</update>

	<!-- ??? -->
	<delete id="delete_Xtpzyh" parameterClass="java.util.Map">
		delete from Xtpzyh
		<include refid="condition_Xtpzyh" />
	</delete>

	<!-- ??????? -->
	<delete id="batch_delete_Xtpzyh" parameterClass="java.util.Map">
		delete from Xtpzyh
		where 1=1
		<isNotEmpty prepend='AND' property='keyword'>
			key in (#keyword#)
		</isNotEmpty>
	</delete>

	<!-- ??? -->
	<select id="query_Xtpzyh" resultClass="java.util.HashMap"
		parameterClass="java.util.Map">
		select
		yhbh,yhzh,yhmc,sfgly,qybh,bmmc,gddh,sj,dh,yjdz,dz,ms,yhzt,zhycdlsj,cjry,cjrq,xgry,xgrq,bz
		from Xtpzyh
		<include refid="condition_Xtpzyh" />
		limit #start# ,#limit#
	</select>

	<!-- ??????? -->
	<select id="count_Xtpzyh" resultClass="java.lang.Integer"
		parameterClass="java.util.Map">
		select count(*) from Xtpzyh
		<include refid="condition_Xtpzyh" />
	</select>

	<!-- ???????? -->
	<insert id="batch_insert_Xtpzyh" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
		<iterate conjunction=" ">
			into Xtpzyh(
			 <![CDATA[ 
				yhbh,yhzh,yhmm,yhmc,sfgly,qybh,bmmc,gddh,sj,dh,yjdz,dz,ms,yhzt,zhycdlsj,cjry,cjrq,xgry,xgrq,bz
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
			#list[].yhbh#
				)
			]]>
		</iterate>
	</insert>
</sqlMap>











